using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace WindowsApplication2.DataLayer
{	
	///<summary>
	/// This class is the concrete representation of a row from the table 'ParteCampo'.
	/// It inherits from the ParteCampoBase class.
	///</summary>
	[Serializable]
	public class ParteCampo : ParteCampoBase
	{
		///<summary>
		/// Initializes a new instance of the Campo.DataLayer.ParteCampo class.
		///</summary>
		public ParteCampo()
		{
		}

		protected int _IdOperador = (int)0; //Por ejemplo, para mostrar el informe mensual por operario.
		protected string _NombreOperador = string.Empty;

		/// <summary>
		/// 	
		/// </summary>
		/// <value>This type is int</value>
		[DescriptionAttribute("")]
		public int IdOperador
		{
			get { return _IdOperador; }
			set
			{
				if (_IdOperador == value)
					return;
					
				_IdOperador = value;
			}
		}

		/// <summary>
		/// 	
		/// </summary>
		/// <value>This type is varchar</value>
		[DescriptionAttribute("")]
		public string NombreOperador
		{
			get { return _NombreOperador; }
			set
			{
				if (_NombreOperador == value)
					return;
				_NombreOperador=value;
			}
		}

		public override ParteCampoBase Copy()
		{
			//shallow copy entity
			ParteCampo copy = new ParteCampo();
			copy.IdParteCampo = this._IdParteCampo;
			copy.FechaParteCampo = this._FechaParteCampo;
			copy.RegistradoParteCampo = this._RegistradoParteCampo;
			//copy.IdOperador = this._IdOperador;
				
			//copy.NombreOperador=this._NombreOperador;

			//deep copy nested objects
			return (ParteCampo)copy;
		}
	}
}