using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;

using WindowsApplication2.DataLayer;



namespace WindowsApplication2
{
	/// <summary>
	/// Descripcin breve de PartesCampoGridForm.
	/// </summary>
	public class PartesCampoGridForm : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Tools.GradientPanel partesGradientPanel;
		private System.Windows.Forms.Label tituloLabel;
		private System.Windows.Forms.ContextMenu parteCampoContextMenu;
		private System.Windows.Forms.MenuItem aadirParteMenuItem;
		private System.Windows.Forms.MenuItem editarParteMenuItem;
		private System.Windows.Forms.MenuItem eliminarParteMenuItem;
		private System.Windows.Forms.Label vistaLabel;
		private System.Windows.Forms.ImageList imageList;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem registrarParteBarItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem informesParentBarItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem partesCampoVisualizadosBarItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem parteCampoSeleccionadoBarItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tiposActividadBarItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem duplicarParteBarItem;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem duplicarParteMenuItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem operariosBarItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem operariosMensualBarItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem operadoresBarItem;
		private System.Windows.Forms.Panel panel1;
		private Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl parteCampoGridGroupingControl;
		private System.Windows.Forms.Button firstButton;
		private System.Windows.Forms.Button previosButton;
		private System.Windows.Forms.Button nextButton;
		private System.Windows.Forms.Button lastButton;
		private System.ComponentModel.IContainer components;

		public PartesCampoGridForm()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();

			//Cambiar nombre etiqueta agrupar columnas
			GridControlBase area=(GridControlBase)this.parteCampoGridGroupingControl.GridGroupDropArea;
			area.PrepareViewStyleInfo  += new Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventHandler(this.GridGroupDropArea_PrepareViewStyleInfo);

			Application.DoEvents();
			
			this.EstiloGridPartesCampo();

			this.Populate();
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(PartesCampoGridForm));
			this.parteCampoContextMenu = new System.Windows.Forms.ContextMenu();
			this.aadirParteMenuItem = new System.Windows.Forms.MenuItem();
			this.editarParteMenuItem = new System.Windows.Forms.MenuItem();
			this.eliminarParteMenuItem = new System.Windows.Forms.MenuItem();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.duplicarParteMenuItem = new System.Windows.Forms.MenuItem();
			this.registrarParteBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.imageList = new System.Windows.Forms.ImageList(this.components);
			this.duplicarParteBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.tiposActividadBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.operadoresBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.informesParentBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
			this.partesCampoVisualizadosBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.parteCampoSeleccionadoBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.operariosBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.operariosMensualBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.partesGradientPanel = new Syncfusion.Windows.Forms.Tools.GradientPanel();
			this.vistaLabel = new System.Windows.Forms.Label();
			this.tituloLabel = new System.Windows.Forms.Label();
			this.panel1 = new System.Windows.Forms.Panel();
			this.parteCampoGridGroupingControl = new Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl();
			this.firstButton = new System.Windows.Forms.Button();
			this.previosButton = new System.Windows.Forms.Button();
			this.nextButton = new System.Windows.Forms.Button();
			this.lastButton = new System.Windows.Forms.Button();
			this.partesGradientPanel.SuspendLayout();
			this.panel1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.parteCampoGridGroupingControl)).BeginInit();
			this.SuspendLayout();
			// 
			// parteCampoContextMenu
			// 
			this.parteCampoContextMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																								  this.aadirParteMenuItem,
																								  this.editarParteMenuItem,
																								  this.eliminarParteMenuItem,
																								  this.menuItem1,
																								  this.duplicarParteMenuItem});
			// 
			// aadirParteMenuItem
			// 
			this.aadirParteMenuItem.Index = 0;
			this.aadirParteMenuItem.Text = "Aadir Parte Campo";
			// 
			// editarParteMenuItem
			// 
			this.editarParteMenuItem.Index = 1;
			this.editarParteMenuItem.Text = "Editar Parte Campo";
			// 
			// eliminarParteMenuItem
			// 
			this.eliminarParteMenuItem.Index = 2;
			this.eliminarParteMenuItem.Text = "Eliminar Parte Campo";
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 3;
			this.menuItem1.Text = "-";
			// 
			// duplicarParteMenuItem
			// 
			this.duplicarParteMenuItem.Index = 4;
			this.duplicarParteMenuItem.Text = "Duplicar Parte";
			// 
			// registrarParteBarItem
			// 
			this.registrarParteBarItem.CategoryIndex = -1;
			this.registrarParteBarItem.ID = "Registrar Parte";
			this.registrarParteBarItem.ImageIndex = 0;
			this.registrarParteBarItem.ImageList = this.imageList;
			this.registrarParteBarItem.LargeImageList = this.imageList;
			this.registrarParteBarItem.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
			this.registrarParteBarItem.Text = "Registrar Parte";
			// 
			// imageList
			// 
			this.imageList.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList.ImageStream")));
			this.imageList.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// duplicarParteBarItem
			// 
			this.duplicarParteBarItem.CategoryIndex = -1;
			this.duplicarParteBarItem.ID = "Duplicar Parte";
			this.duplicarParteBarItem.ImageIndex = 2;
			this.duplicarParteBarItem.ImageList = this.imageList;
			this.duplicarParteBarItem.LargeImageList = this.imageList;
			this.duplicarParteBarItem.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
			this.duplicarParteBarItem.Text = "Duplicar Parte";
			this.duplicarParteBarItem.Tooltip = "Crear un parte a partir del seleccionado";
			// 
			// tiposActividadBarItem
			// 
			this.tiposActividadBarItem.CategoryIndex = -1;
			this.tiposActividadBarItem.ID = "Tipos Actividad";
			this.tiposActividadBarItem.ImageIndex = 1;
			this.tiposActividadBarItem.ImageList = this.imageList;
			this.tiposActividadBarItem.LargeImageList = this.imageList;
			this.tiposActividadBarItem.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
			this.tiposActividadBarItem.Text = "Tipos Actividad";
			this.tiposActividadBarItem.Tooltip = "Gestin Tipos de Actividades";
			// 
			// operadoresBarItem
			// 
			this.operadoresBarItem.CategoryIndex = -1;
			this.operadoresBarItem.ID = "Operadores";
			this.operadoresBarItem.ImageIndex = 3;
			this.operadoresBarItem.ImageList = this.imageList;
			this.operadoresBarItem.LargeImageList = this.imageList;
			this.operadoresBarItem.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
			this.operadoresBarItem.Text = "Operadores";
			// 
			// informesParentBarItem
			// 
			this.informesParentBarItem.CategoryIndex = -1;
			this.informesParentBarItem.ID = "Informes";
			this.informesParentBarItem.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																											   this.partesCampoVisualizadosBarItem,
																											   this.parteCampoSeleccionadoBarItem,
																											   this.operariosBarItem,
																											   this.operariosMensualBarItem});
			this.informesParentBarItem.SeparatorIndices.AddRange(new int[] {
																			   2});
			this.informesParentBarItem.Text = "Informes";
			this.informesParentBarItem.Tooltip = "Pulse para ver informes";
			// 
			// partesCampoVisualizadosBarItem
			// 
			this.partesCampoVisualizadosBarItem.CategoryIndex = -1;
			this.partesCampoVisualizadosBarItem.ID = "Parte de Campo";
			this.partesCampoVisualizadosBarItem.Text = "Partes de Campo visualizados";
			this.partesCampoVisualizadosBarItem.Tooltip = "Partes de campos visualizados actualmente";
			// 
			// parteCampoSeleccionadoBarItem
			// 
			this.parteCampoSeleccionadoBarItem.CategoryIndex = -1;
			this.parteCampoSeleccionadoBarItem.ID = "Parte de Campo seleccionado";
			this.parteCampoSeleccionadoBarItem.Text = "Parte de Campo seleccionado";
			this.parteCampoSeleccionadoBarItem.Tooltip = "Parte de campo seleccionado";
			// 
			// operariosBarItem
			// 
			this.operariosBarItem.CategoryIndex = -1;
			this.operariosBarItem.ID = "Partes de Campo entre Fechas";
			this.operariosBarItem.Text = "Partes de Campo por Operario";
			this.operariosBarItem.Tooltip = "Informe de Partes de Campo agrupados por operario";
			// 
			// operariosMensualBarItem
			// 
			this.operariosMensualBarItem.CategoryIndex = -1;
			this.operariosMensualBarItem.ID = "Informe Mensual por Operario";
			this.operariosMensualBarItem.Text = "Informe Mensual por Operario";
			this.operariosMensualBarItem.Tooltip = "Informe Mensual de Jornales por Operario";
			// 
			// partesGradientPanel
			// 
			this.partesGradientPanel.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((System.Byte)(59)), ((System.Byte)(97)), ((System.Byte)(156))), System.Drawing.Color.FromArgb(((System.Byte)(117)), ((System.Byte)(166)), ((System.Byte)(241))));
			this.partesGradientPanel.BorderColor = System.Drawing.Color.Black;
			this.partesGradientPanel.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.partesGradientPanel.Controls.Add(this.vistaLabel);
			this.partesGradientPanel.Controls.Add(this.tituloLabel);
			this.partesGradientPanel.Dock = System.Windows.Forms.DockStyle.Top;
			this.partesGradientPanel.Location = new System.Drawing.Point(0, 0);
			this.partesGradientPanel.Name = "partesGradientPanel";
			this.partesGradientPanel.Size = new System.Drawing.Size(760, 25);
			this.partesGradientPanel.TabIndex = 0;
			// 
			// vistaLabel
			// 
			this.vistaLabel.BackColor = System.Drawing.Color.Transparent;
			this.vistaLabel.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.vistaLabel.ForeColor = System.Drawing.Color.PaleGoldenrod;
			this.vistaLabel.Location = new System.Drawing.Point(184, 0);
			this.vistaLabel.Name = "vistaLabel";
			this.vistaLabel.Size = new System.Drawing.Size(896, 25);
			this.vistaLabel.TabIndex = 1;
			this.vistaLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// tituloLabel
			// 
			this.tituloLabel.BackColor = System.Drawing.Color.Transparent;
			this.tituloLabel.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tituloLabel.ForeColor = System.Drawing.Color.White;
			this.tituloLabel.Location = new System.Drawing.Point(0, 0);
			this.tituloLabel.Name = "tituloLabel";
			this.tituloLabel.Size = new System.Drawing.Size(168, 25);
			this.tituloLabel.TabIndex = 0;
			this.tituloLabel.Text = "PARTES CAMPO";
			this.tituloLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// panel1
			// 
			this.panel1.Controls.Add(this.lastButton);
			this.panel1.Controls.Add(this.nextButton);
			this.panel1.Controls.Add(this.previosButton);
			this.panel1.Controls.Add(this.firstButton);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel1.Location = new System.Drawing.Point(0, 25);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(760, 50);
			this.panel1.TabIndex = 1;
			// 
			// parteCampoGridGroupingControl
			// 
			this.parteCampoGridGroupingControl.BackColor = System.Drawing.SystemColors.HighlightText;
			this.parteCampoGridGroupingControl.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.parteCampoGridGroupingControl.ContextMenu = this.parteCampoContextMenu;
			this.parteCampoGridGroupingControl.Dock = System.Windows.Forms.DockStyle.Fill;
			this.parteCampoGridGroupingControl.Location = new System.Drawing.Point(0, 75);
			this.parteCampoGridGroupingControl.Name = "parteCampoGridGroupingControl";
			this.parteCampoGridGroupingControl.NestedTableGroupOptions.ShowAddNewRecordBeforeDetails = false;
			this.parteCampoGridGroupingControl.ShowGroupDropArea = true;
			this.parteCampoGridGroupingControl.Size = new System.Drawing.Size(760, 363);
			this.parteCampoGridGroupingControl.TabIndex = 2;
			this.parteCampoGridGroupingControl.TableDescriptor.Appearance.AlternateRecordFieldCell.AllowEnter = false;
			this.parteCampoGridGroupingControl.TableDescriptor.Appearance.AnyCell.ReadOnly = true;
			this.parteCampoGridGroupingControl.TableDescriptor.ChildGroupOptions.ShowAddNewRecordBeforeDetails = false;
			this.parteCampoGridGroupingControl.TableOptions.AllowDropDownCell = true;
			this.parteCampoGridGroupingControl.TableOptions.ListBoxSelectionMode = System.Windows.Forms.SelectionMode.None;
			this.parteCampoGridGroupingControl.TableOptions.ShowRecordPlusMinus = true;
			this.parteCampoGridGroupingControl.Text = "Partes";
			this.parteCampoGridGroupingControl.TopLevelGroupOptions.ShowAddNewRecordBeforeDetails = false;
			this.parteCampoGridGroupingControl.VerticalThumbTrack = false;
			this.parteCampoGridGroupingControl.TableControlCurrentCellActivating += new Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlCurrentCellActivatingEventHandler(this.parteCampoGridGroupingControl_TableControlCurrentCellActivating_1);
			this.parteCampoGridGroupingControl.TableControlCurrentCellActivated += new Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlEventHandler(this.parteCampoGridGroupingControl_TableControlCurrentCellActivated_1);
			// 
			// firstButton
			// 
			this.firstButton.Location = new System.Drawing.Point(16, 16);
			this.firstButton.Name = "firstButton";
			this.firstButton.Size = new System.Drawing.Size(74, 22);
			this.firstButton.TabIndex = 0;
			this.firstButton.Text = "First";
			this.firstButton.Click += new System.EventHandler(this.firstButton_Click);
			// 
			// previosButton
			// 
			this.previosButton.Location = new System.Drawing.Point(95, 16);
			this.previosButton.Name = "previosButton";
			this.previosButton.Size = new System.Drawing.Size(74, 24);
			this.previosButton.TabIndex = 1;
			this.previosButton.Text = "Previous";
			this.previosButton.Click += new System.EventHandler(this.previosButton_Click);
			// 
			// nextButton
			// 
			this.nextButton.Location = new System.Drawing.Point(174, 16);
			this.nextButton.Name = "nextButton";
			this.nextButton.Size = new System.Drawing.Size(74, 24);
			this.nextButton.TabIndex = 2;
			this.nextButton.Text = "Next";
			this.nextButton.Click += new System.EventHandler(this.nextButton_Click);
			// 
			// lastButton
			// 
			this.lastButton.Location = new System.Drawing.Point(253, 16);
			this.lastButton.Name = "lastButton";
			this.lastButton.Size = new System.Drawing.Size(74, 24);
			this.lastButton.TabIndex = 3;
			this.lastButton.Text = "Last";
			this.lastButton.Click += new System.EventHandler(this.lastButton_Click);
			// 
			// PartesCampoGridForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(760, 438);
			this.Controls.Add(this.parteCampoGridGroupingControl);
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.partesGradientPanel);
			this.Name = "PartesCampoGridForm";
			this.Text = "PartesCampoGridForm";
			this.Load += new System.EventHandler(this.PartesCampoGridForm_Load);
			this.partesGradientPanel.ResumeLayout(false);
			this.panel1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.parteCampoGridGroupingControl)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		public void Populate()
		{
			
			ParteCampoCollection parteCampoColeccion=new ParteCampoCollection();

			ParteCampo parte1=new ParteCampo();
			parte1.IdParteCampo=1;
			parte1.FechaParteCampo=DateTime.Parse("1/1/2005");
			parte1.NombreOperador="Jose";
			parte1.RegistradoParteCampo=false;
			parteCampoColeccion.Add(parte1);

			ParteCampo parte2=new ParteCampo();
			parte2.IdParteCampo=2;
			parte2.FechaParteCampo=DateTime.Parse("2/1/2005");
			parte2.NombreOperador="Luis";
			parte2.RegistradoParteCampo=true;
			parteCampoColeccion.Add(parte2);

			ParteCampo parte3=new ParteCampo();
			parte3.IdParteCampo=3;
			parte3.FechaParteCampo=DateTime.Parse("2/1/2005");
			parte3.NombreOperador="Luis";
			parte3.RegistradoParteCampo=false;
			parteCampoColeccion.Add(parte3);

			ParteCampo parte4=new ParteCampo();
			parte4.IdParteCampo=4;
			parte4.FechaParteCampo=DateTime.Parse("3/1/2005");
			parte4.NombreOperador="Jose";
			parte4.RegistradoParteCampo=true;
			parteCampoColeccion.Add(parte4);


			this.parteCampoGridGroupingControl.BeginUpdate();

			this.parteCampoGridGroupingControl.DataSource=parteCampoColeccion;
			this.parteCampoGridGroupingControl.Refresh();

			//Apuntamos al ltimo registro
			this.parteCampoGridGroupingControl.TableControl.ForceCurrentCellMoveTo=true;
			this.parteCampoGridGroupingControl.TableControl.CurrentCell.MoveTo(this.parteCampoGridGroupingControl.TableControl.Model.RowCount, 1);
			
			this.parteCampoGridGroupingControl.EndUpdate(true);
		}
		
		private void GridGroupDropArea_PrepareViewStyleInfo(object sender, Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventArgs e)
		{
			if(e.Style.Text=="Drag a column header here to group by that column.")
			{
				e.Style.Text="Arrastrar la columna y soltar aqu para agrupar";
			}
		}

		private void PartesCampoGridForm_Load(object sender, System.EventArgs e)
		{
		}

		private void EstiloGridPartesCampo()
		{
			this.parteCampoGridGroupingControl.TableDescriptor.Columns.Add("IdParteCampo");
			this.parteCampoGridGroupingControl.TableDescriptor.Columns.Add("FechaParteCampo");
			this.parteCampoGridGroupingControl.TableDescriptor.Columns.Add("NombreOperador");
			this.parteCampoGridGroupingControl.TableDescriptor.Columns.Add("RegistradoParteCampo");

			this.parteCampoGridGroupingControl.TableDescriptor.Columns["RegistradoParteCampo"].Appearance.AnyRecordFieldCell.CellType="CheckBox";
			this.parteCampoGridGroupingControl.TableDescriptor.Columns["RegistradoParteCampo"].Appearance.AnyRecordFieldCell.HorizontalAlignment=GridHorizontalAlignment.Center;

			this.parteCampoGridGroupingControl.TableDescriptor.Name="Partes Campo";
			this.parteCampoGridGroupingControl.FilterRuntimeProperties=true;
			this.parteCampoGridGroupingControl.Engine.Appearance.AlternateRecordFieldCell.BackColor=Color.AliceBlue;
			//Encabezados
			this.parteCampoGridGroupingControl.TableDescriptor.Columns["IdParteCampo"].HeaderText= "Cdigo";
			this.parteCampoGridGroupingControl.TableDescriptor.Columns["FechaParteCampo"].HeaderText= "Fecha Parte";
			this.parteCampoGridGroupingControl.TableDescriptor.Columns["NombreOperador"].HeaderText= "Operador";
			this.parteCampoGridGroupingControl.TableDescriptor.Columns["RegistradoParteCampo"].HeaderText="Registrado";
			//Ocultamos botones
			this.parteCampoGridGroupingControl.TableDescriptor.Columns["FechaParteCampo"].Appearance.AnyCell.ShowButtons=Syncfusion.Windows.Forms.Grid.GridShowButtons.Hide;
			//Anchura de las columnas
			this.parteCampoGridGroupingControl.TableDescriptor.Columns["IdParteCampo"].Width= 80;
			this.parteCampoGridGroupingControl.TableDescriptor.Columns["FechaParteCampo"].Width= 100;
			this.parteCampoGridGroupingControl.TableDescriptor.Columns["NombreOperador"].Width= 100;
			this.parteCampoGridGroupingControl.TableDescriptor.Columns["RegistradoParteCampo"].Width= 90;
			//***** FILTRO
			//Columnas filtrables
			parteCampoGridGroupingControl.TableDescriptor.Columns["RegistradoParteCampo"].AllowFilter=true;
			//add a custom cell type
			CustomFilterBarCellModel  cellModel = new CustomFilterBarCellModel(this.parteCampoGridGroupingControl.TableModel);
			this.parteCampoGridGroupingControl.TableModel.CellModels.Add("CustFilterBarCell", cellModel);

			//make filter bar cells use our custom cell type
			this.parteCampoGridGroupingControl.TableDescriptor.Appearance.FilterBarCell.CellType = "CustFilterBarCell";

			//make no current cell so the currentcell will be reset when the grid becomes active again.
			this.parteCampoGridGroupingControl.TableControl.CurrentCell.ResetCurrentCellWithoutDeactivate();
			CustomFilterBarCellModel model =  this.parteCampoGridGroupingControl.TableModel.CellModels["CustFilterBarCell"]
				as CustomFilterBarCellModel;

			model.FilterBarStrings[0] = "(todos)";
			model.FilterBarStrings[1] = "(personalizar)";
			model.FilterBarStrings[2] = "igual a";
			model.FilterBarStrings[3] = "distinto de";
			model.FilterBarStrings[4] = "mayor que";
			model.FilterBarStrings[5] = "mayor o igual que";
			model.FilterBarStrings[6] = "menor que";
			model.FilterBarStrings[7] = "menor o igual que";
			model.FilterBarStrings[8] = "empieza por";
			model.FilterBarStrings[9] = "no empieza por";
			model.FilterBarStrings[10] = "termina con";
			model.FilterBarStrings[11] = "no termina con";
			model.FilterBarStrings[12] = "contiene";
			model.FilterBarStrings[13] = "no contiene";
			model.FilterBarStrings[14] = "Usar * para representar cualquier serie de caracteres";
			model.FilterBarStrings[15] = "Mostrar filas aqu:";
			
			model.SelectAllText = model.FilterBarStrings[0];
			model.SelectCustomText = model.FilterBarStrings[1];
			model.SelectEmptyText="(vaco)";
		}

		private void parteCampoGridGroupingControl_TableControlCurrentCellActivating_1(object sender, Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlCurrentCellActivatingEventArgs e)
		{
			if(this.parteCampoGridGroupingControl.TopLevelGroupOptions.ShowFilterBar==true)
			{
				//OJO: Sis se oculta la barra del Grouping cambiar el index de la fila
				if(e.Inner.RowIndex!=3) e.Inner.ColIndex=0;
			}
			else
			{
				e.Inner.ColIndex=0;
			}
		}

		private void parteCampoGridGroupingControl_TableControlCurrentCellActivated_1(object sender, Syncfusion.Windows.Forms.Grid.Grouping.GridTableControlEventArgs e)
		{
			if (parteCampoGridGroupingControl.Table.CurrentRecord != null)
			{
				parteCampoGridGroupingControl.Table.SelectedRecords.Clear();
				parteCampoGridGroupingControl.Table.SelectedRecords.Add(parteCampoGridGroupingControl.Table.CurrentRecord);
			}
		}

		private void firstButton_Click(object sender, System.EventArgs e)
		{
			this.parteCampoGridGroupingControl.TableControl.ForceCurrentCellMoveTo=true;
			this.parteCampoGridGroupingControl.TableControl.CurrentCell.MoveTo(3, 1);
		
		}

		private void lastButton_Click(object sender, System.EventArgs e)
		{
			this.parteCampoGridGroupingControl.TableControl.ForceCurrentCellMoveTo=true;
			this.parteCampoGridGroupingControl.TableControl.CurrentCell.MoveTo(this.parteCampoGridGroupingControl.TableControl.Model.RowCount, 1);
		}

		private void nextButton_Click(object sender, System.EventArgs e)
		{
			this.parteCampoGridGroupingControl.TableControl.ForceCurrentCellMoveTo=true;
			this.parteCampoGridGroupingControl.TableControl.CurrentCell.MoveTo(this.parteCampoGridGroupingControl.TableControl.CurrentCell.RowIndex+1, 1);
		
		}

		private void previosButton_Click(object sender, System.EventArgs e)
		{
			this.parteCampoGridGroupingControl.TableControl.ForceCurrentCellMoveTo=true;
			this.parteCampoGridGroupingControl.TableControl.CurrentCell.MoveTo(this.parteCampoGridGroupingControl.TableControl.CurrentCell.RowIndex-1, 1);
		
		}

		

		
	}
}
